<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateTreeForRevoke Method (IEdmBatchChangeState2)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchChangeState2 Interface : CreateTreeForRevoke Method (IEdmBatchChangeState2)

Visual Basic
C#
C++/CLI

bsTransition
  Name of the workflow state transition to revoke

Computes the file reference tree and checks that the specified transition revocation can be performed for the files added to this batch using IEdmBatchChangeState::AddFile.

# Syntax

Visual Basic |
--- | ---

    Function CreateTreeForRevoke( _
       ByVal bsTransition As System.String _
    ) As System.Boolean

C# |
--- | ---

    System.bool CreateTreeForRevoke(
       System.string bsTransition
    )

C++/CLI |
--- | ---

    System.bool CreateTreeForRevoke(
    &   System.String^ bsTransition
    )

#### Parameters

bsTransition
  Name of the workflow state transition to revoke

#### Return Value

True if there are any valid files on which to revoke transitions, false if there are no valid files

# Example

See the IEdmBatchChangeState2 examples.

# Remarks

To include parent files in the file reference tree, call IEdmBatchChangeState5::IncludeParentsForRevokeTree.

After calling this method, call IEdmBatchChangeState::ShowDlg and/or IEdmBatchChangeState::ChangeState.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchChangeState2 Interface
IEdmBatchChangeState2 Members

# Availability

SOLIDWORKS PDM Professional 2013